## gcc-14 14-20240330

=== debian/changelog ===
gcc-14 (14-20240330-1revyos1) unstable; urgency=medium

  * Add xuantie patch

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 14 Apr 2024 08:12:56 +0800

gcc-14 (14-20240330-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240330.

  * Make vhdl known to the PPC backend.
  * Use the proposed patch to fix PR ada/114064, 64bit definitions for
    time_t_bits type on 32bit archs.
  * Move the _FORTIFY_SOURCE setting from cc1 to the driver.
  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * newlib: amdgcn: Implement proper locks, taken from newlib trunk.
  * Refresh patches.
  * Use gcc:SoftVersion for -for-host dependencies (Helmut Grohne).
    Closes: #1067904.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 13:27:56 +0100

gcc-14 (14-20240315-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240315.

  * Fix installation of the amdgcn offload compiler. Closes: #1065458.
  * Fix installation of the nvptx offload compiler. Closes: #1065599.
  * Add loong64 bits for the gcc-multilib-multiarch patch. Closes: #1061371.
  * Enable Modula-2 on the Hurd (Samuel Thibault). Closes: #1066932.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Mar 2024 20:35:12 +0100

gcc-14 (14-20240303-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240303.
  * Build without gdb for now.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:40:51 +0100

gcc-14 (14-20240221-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable to start the 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 26 Feb 2024 21:41:05 +0000

gcc-14 (14-20240221-2) experimental; urgency=medium

  * libgnat: Use Long_Long_Integer'Size for the definition of time_t_bits
    for 32bit architectures using time_t64.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 04:12:32 +0100

gcc-14 (14-20240221-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240221.

  * Proposed fix for PR d/113772.
  * Fix disabling go and m2 according to OS (Samuel Thibault). Closes: #1063643.
  * Pass -D_TIME_BITS=64 together with -D_FILE_OFFSET_BITS=64 by default
    on the 32bit architectures armel, armhf, hppa, m68k, mips, mipsel,
    powerpc (-m32 only) and sh4.
  * PR libstdc++/99832, std::chrono::system_clock::{from,to}_time_t:
    Add ABI tag for timet64.
  * Fix libsanitizer build with _TIME_BITS set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 00:27:13 +0100

gcc-14 (14-20240207-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240207.

  * Enable sanitizer packages for loong64.
  * Build libubsan1 for riscv64.
  * Apply proposed patch for PR target/113720 (alpha).
  * Drop the libgo-soname patch, use the bumped libgo upstream soname.
  * Apply proposed patch for PR middle-end/113731.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 05:39:32 +0100

gcc-14 (14-20240201-3) unstable; urgency=medium

  * Fix PR middle-end/113705 (ftbfs on arm64). Closes: #1062535.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 22:53:33 +0100

gcc-14 (14-20240201-2) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240201.

  * Add more dependencies for -for-build and -for-host packages.
  * For Ubuntu, only define _FORTIFY_SOURCE, if there are no options
    -U_FORTIFY_SOURCE or -D_FORTIFY_SOURCE=N given.
  * Update libgcc-s symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 14:11:28 +0100

gcc-14 (14-20240131-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240131.

  [ Matthias Klose ]
  * Fix and add dependencies for -for-build and -for-host packages.
  * Add conflict to libgccjit-13-doc. Closes: #1061647.
  * Fix some -for-{build,host} package descriptions. Closes: #1061670.
  * Correct conflicts with old gnat-N versions. Addresses: #1061648.
  * Apply proposed patch for PR target/113336 (ARM). Closes: #1061370.
  * Build again gnat and gcc on armel.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.
  * Update liblsan0 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 10:40:26 +0100

gcc-14 (14-20240127-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240127.
  * Disable the gccgo build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 09:51:04 +0100

gcc-14 (14-20240126-2) unstable; urgency=medium

  * Update libgccjit symbols file.
  * Bump autopkg test dependencies to GCC 14.
  * Try harder to disable ada on armel.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 15:05:36 +0100

gcc-14 (14-20240126-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240126.
  * Don't define <lang>_no_archs macros directly.
  * Add missing libstdc++-{dbg,doc} conflicts. Closes: #1061345.
  * Fix gm2-14 package description. Closes: #1061372.
  * Re-add conflicts for gnat packages.
  * Disable the ada build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 12:42:52 +0100

gcc-14 (14-20240121-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240121.

  [ Matthias Klose ]
  * Update symbols files.
  * Refresh patches.
  * Drop KFreeBSD patches.
  * Drop the KFreeBSD build support.
  * Bump debhelper to v11.
  * Configure with --disable-s390-excess-float-precision for sid/trixie and
    Ubuntu noble (24.04 LTS).
  * Update the gcc-as-needed patch for loong64. Addresses: #1054469.
  * Remove the support to build ARM sf/hf multilib packages.
  * Update the variants for the amdgcn offload compiler.
  * Remove references to obsolete CPUs m32r and tilegx.
  * Add changes for hurd-amd64 (Samuel Thibault). Addresses: #1057004.
  * Don't build-depend on gdb on hurd-amd64 for now.
  * Remove the packaging bits to build gdc as a separate source package.
  * Remove the packaging bits to build gccgo as a separate source package.
  * Build the nvptx offload compiler on arm64.

