## gcc-14 14-20240412

=== debian/changelog ===
gcc-14 (14-20240412-0ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240412.

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Clean up some version restrictions on build-dependencies.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build-depend on amdgcn-tools-18, required for new gcn offload targets.
  * Package the new gfx1030, gfx1036, gfx1100 and gfx1103 offload targets.
    LP: #2060619.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 14:30:14 +0200

gcc-14 (14-20240330-1ubuntu1) noble; urgency=medium

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Bump b-d on binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2024 14:03:10 +0100

gcc-14 (14-20240315-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240315.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 20:39:31 +0100

gcc-14 (14-20240303-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240303.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:52:02 +0100

gcc-14 (14-20240221-2.1ubuntu1) noble; urgency=medium

  * Build with the release pocket only.
  * Disable bootstrap builds for a quick & dirty build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2024 01:12:16 +0100

gcc-14 (14-20240221-2ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Feb 2024 04:16:11 +0100

gcc-14 (14-20240201-3ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240201.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2024 23:02:01 +0100

gcc-14 (14-20240121-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jan 2024 09:35:13 +0100

gcc-13 (13.2.0-4ubuntu3) mantic; urgency=medium

  * Cherry-pick from the branch (backported together with CVE-2023-4039 fixes):
    - Fix PR target/111411 (AArch64): Fix loose ldpstp check.
    - Fix return register handling in untyped_call (AArch64).
  * Ignore failing libgm2-link autopkg test on armhf. See PR/modula-2 111510.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Sep 2023 10:44:53 +0200

gcc-13 (13.2.0-4ubuntu2) mantic; urgency=medium

  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2023 04:06:03 +0200

gcc-13 (13.2.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:28:29 +0200

gcc-13 (13.2.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Sep 2023 12:06:46 +0200

gcc-13 (13.2.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 06:09:08 +0200

gcc-13 (13.2.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 07:14:58 +0200

gcc-13 (13.1.0-9ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 13:53:07 +0200

gcc-13 (13.1.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2023 10:28:29 +0200

gcc-13 (13.1.0-7ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 17:42:41 +0200

gcc-13 (13.1.0-6ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Jun 2023 09:45:32 +0200

gcc-13 (13.1.0-5ubuntu1) mantic; urgency=medium

  * Update to git 20230613 from the gcc-13 branch.
    - Fix PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2023 09:54:20 +0200

gcc-13 (13.1.0-2ubuntu2) mantic; urgency=medium

  * Update to git 20230512 from the gcc-13 branch.
    - Fix PR target/109661 (AArch64).
  * Update libgcc-s, libhwasan and libstdc++ symbols files.
  * Build gccrs again, already is in the 23.04 release pocket.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 May 2023 12:37:46 +0200

gcc-13 (13.1.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 May 2023 13:54:08 +0200

gcc-13 (13.1.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Apr 2023 12:12:53 +0200

gcc-13 (13-20230320-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Mar 2023 12:39:00 +0100

gcc-13 (13-20230305-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Mar 2023 10:25:05 +0100

gcc-13 (13-20230215-1ubuntu2) lunar; urgency=medium


