=== debian/watch ===
version=4
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(14\.[\d\.]*)/ \
        gcc-([\d\.]+)\.tar\.xz debian uupdate
