## gcc-14 14.1.0

=== debian/changelog ===
gcc-14 (14.1.0-5revyos1) unstable; urgency=medium

  * Apply xuantie patch

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 25 Jul 2024 07:29:14 +0000

gcc-14 (14.1.0-5) unstable; urgency=medium

  * Update to git 20240719 from the gcc-14 branch.
    - Fix PR c++/115865, PR rtl-optimization/115049, PR target/115351 (x86),
      PR ipa/113787, PR tree-optimization/113673, PR target/115526 (alpha),
      PR middle-end/115887, PR middle-end/115527, PR tree-optimization/115382,
      PR tree-optimization/115868, PR tree-optimization/115841,
      PR tree-optimization/115843, PR tree-optimization/115701,
      PR tree-optimization/115701, PR tree-optimization/115867,
      PR tree-optimization/115843, PR target/115459 (alpha),
      PR target/115554 (RISCV), PR target/115562 (RISCV),
      PR target/113719 (x86), PR target/113719 (x86), PR target/115872,
      PR target/115752 (loongarch), PR target/115840 (RISCV),
      PR target/115611 (ARM), PR middle-end/115836, PR target/113715 (RISCV),
      PR analyzer/114899, PR c++/115476, PR c++/115165, PR c++/111890,
      PR c++/115897, PR c++/106760, PR c++/115754, PR c++/99242, PR c++/99241,
      PR fortran/93635, PR fortran/99798, PR fortran/103312,
      PR libstdc++/113376, PR libstdc++/115522.
  * On loong64, also build-depend on the gdc-14 frontend.
  * Build libitm1 on loong64 and riscv64.
  * Disable running the tests on x32, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2024 12:09:39 +0200

gcc-14 (14.1.0-4) unstable; urgency=medium

  * Update to git 20240710 from the gcc-14 branch.
    - Fix PR target/115591 (RISCV), PR target/115188 (ARM),
      PR target/87376 (AVR), PR target/115475 (AArch64),
      PR target/115691 (PARISC), PR target/98762 (AVR), PR target/106069 (PPC),
      PR target/115355 (PPC), PR target/114936 (AArch64),
      PR target/88236 (AVR), PR target/115726 (AVR), PR pch/115312,
      PR c/114930, PR c/115502, PR c++/115623, PR fortran/114019,
      PR fortran/55978, PR fortran/115390, PR target/114890 (AArch64),
      PR target/115153 (ARM), PR target/115763 (RISCV),
      PR tree-optimization/115723, PR tree-optimization/115694,
      PR tree-optimization/115669, PR tree-optimization/115646,
      PR fortran/84006, PR fortran/100027, PR fortran/98534, PR fortran/115700,
      PR libstdc++/115807, PR libstdc++/115585.
  * d/p/0009-Ada-select-64-bits-time-functions-from-GNU-libc-when.diff:
    Adjust for the new glibc behaviour of defining __USE_TIME_BITS64 also
    on native 64-bits platforms (Simon Chopin). Addresses: #1074577.
    LP: #2071605.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.
  * Build target libraries with -mbranch-protection=standard to enable PAC/BTI
    support on arm64 (Emanuele Rocca). Addresses: #1055711.
  * Build target libraries with -fno-omit-frame-pointer, when enabled in
    dpkg-buildflags.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 12:12:12 +0200

gcc-14 (14.1.0-3) unstable; urgency=medium

  * Update to git 20240630 from the gcc-14 branch.
    - Fix PR tree-optimization/115278, PR target/114846 (PPC),
      PR tree-optimization/115508, PR driver/115440, PR target/115342 (AArch64),
      PR target/106069 (PPC), PR target/115355 (PPC), PR target/114846 (PPC),
      PR c++/115624, PR c/115587, PR c++/115504, PR c++/115198, PR c++/115358,
      PR libstdc++/115668, PR libstdc++/115575, PR libstdc++/115454.
    - Backport a fix for an ICE on riscv64. Closes: #1071140.
  * Fix typo for loong64 build dependencies.
  * Disable running the tests on the Ubuntu arm64 buildds (times out).
  * Starting with Ubuntu 24.10, stop building s390x multilibs.
  * Fix gccrs build dependencies on the Hurd. Closes: #1073830.
  * Drop the sys-auxv-header patch. Closes: #1071555.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jun 2024 16:27:40 +0200

gcc-14 (14.1.0-2) unstable; urgency=medium

  * Update to git 20240619 from the gcc-14 branch.
    - Fix PR target/109549 (S390), PR target/115253 (ARM),
      PR rtl-optimization/115281, PR target/115353 (ARM),
      PR middle-end/115352, PR tree-optimization/115337, PR middle-end/108789,
      PR target/115324 (PPC), PR rtl-optimization/114902,
      PR rtl-optimization/115092, PR tree-optimization/115307,
      PR target/115297 (alpha), PR tree-optimization/115192,
      PR target/113719 (x86), PR tree-optimization/115149,
      PR tree-optimization/115197, PR tree-optimization/114921,
      PR target/115169 (loongarch), PR tree-optimization/115232,
      PR rtl-optimization/115038, PR tree-optimization/115152,
      PR sanitizer/115172, PR target/115069 (x86), PR tree-optimization/115154,
      PR tree-optimization/115143, PR tree-optimization/114998,
      PR middle-end/114931, PR middle-end/114931, PR ada/114708,
      PR ada/115270, PR c/115290, PR middle-end/114931, PR c/114493,
      PR target/111343 PR c++/115511, PR c++/99678, PR c++/115239,
      PR c++/115283, PR c++/115378, PR c++/115187, PR c++/114868,
      PR c++/105320, PR c++/114275, PR c++/114983, PR libstdc++/107800,
      PR c++/115139, PR c++/115114, PR c++/114994, PR fortran/83865,
      PR fortran/115150, PR fortran/86100, PR fortran/115039,
      PR fortran/114874, PR jit/115442, PR target/115360 (ARM),
      PR target/115065 (AVR), PR libstdc++/115308, PR libstdc++/115247,
      PR libstdc++/114958, PR libstdc++/115335, PR libstdc++/111641,
      PR libstdc++/109849, PR libstdc++/115269, PR libstdc++/114940,
      PR libstdc++/115099, PR libstdc++/115119, PR libstdc++/115015,
      PR libstdc++/115063, PR libstdc++/114891, PR libstdc++/114866.
  * Configure again with --enable-checking=release. Closes: #1072519.
  * On loong64, build-depend on GCC 14 frontends. Closes: #1072635.

